Send SIP Test Call
curl --request POST \
--url https://api.bland.ai/v1/sip/test-call \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"phone_number": "<string>"
}
'import requests
url = "https://api.bland.ai/v1/sip/test-call"
payload = { "phone_number": "<string>" }
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number: '<string>'})
};
fetch('https://api.bland.ai/v1/sip/test-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"call_id": "tc_abc123",
"message": "Test call initiated"
},
"errors": null
}
SIP Trunks
Send SIP Test Call
Place a live test call to your SIP endpoint to verify connectivity. Rate limited to 10 calls per 15 minutes.
POST
/
v1
/
sip
/
test-call
Send SIP Test Call
Headers
Your API key for authentication.
Body
The phone number with an outbound SIP configuration to test. Must be in E.164 format.
Response
A unique call identifier. Use this to poll the test call status.
Confirmation message.
Example Request
curl -X POST https://api.bland.ai/v1/sip/test-call \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"phone_number": "+14150000000"
}'
{
"data": {
"call_id": "tc_abc123",
"message": "Test call initiated"
},
"errors": null
}
Docs for agents: llms.txt
Was this page helpful?
⌘I